### Method

# Gio SocketListener add_any_inet_port

since: 2.24

#### Declaration [src]

    guint16
    g_socket_listener_add_any_inet_port (
      GSocketListener* listener,
      GObject* source_object,
      GError** error
    )

#### Description [src]

Listens for TCP connections on any available port number for both IPv6 and IPv4 (if each is available).

This is useful if you need to have a socket for incoming connections but don’t care about the specific port number.

`source_object` will be passed out in the various calls to accept to identify this particular source, which is useful if you’re listening on multiple addresses and do different things depending on what address is connected to.

Available since: 2.24

#### Parameters

`source_object`

  Type: `GObject`

  Optional `GObject` identifying this source.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint16`

The port number, or 0 in case of failure.